Summary: A RFC 1413 ident protocol daemon
Name: authd
Version: 1.4.3
Release: %mkrel 1
License: GPLv2+
Group: System Environment/Daemons
URL: https://fedorahosted.org/authd/
Obsoletes: pidentd <= 3.2
Provides: pidentd = 3.2
Requires(post): openssl
Source0: http://fedorahosted.org/releases/a/u/authd/authd-1.4.3.tar.gz
Patch0: authd-1.4.3-gcc4.patch
Patch1: authd-1.4.3-disable.patch
Patch2: authd-1.4.3-ipv6-mapping.patch
Patch3: authd-1.4.3-locale.patch
Patch4: authd-1.4.3-longopt-identifier.patch
Patch5: authd-1.4.3-jiffies64.patch
Patch6: authd-1.4.3-valist.patch
Patch7: authd-1.4.3-cflags.patch

# 965857, don't fail on negative uid
Patch8: authd-1.4.3-negative_uid.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: openssl-devel gettext
Requires: xinetd

%description
authd is a small and fast RFC 1413 ident protocol daemon
with both xinetd server and interactive modes that
supports IPv6 and IPv4 as well as the more popular features
of pidentd.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .ipv6map
%patch3 -p1 -b .locale
%patch4 -p1
%patch5 -p1 -b .jiffies64
%patch6 -p1 -b .valist
%patch7 -p1 -b .cflags
%patch8 -p0 -b .negative_uid
sed -i -e "s|/etc|%{_sysconfdir}|" config.h

%build
CFLAGS=$RPM_OPT_FLAGS make prefix=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/xinetd.d

install -m 644 xinetd.conf.auth ${RPM_BUILD_ROOT}%{_sysconfdir}/xinetd.d/auth
sed -i -e 's|/usr/local|/usr|' ${RPM_BUILD_ROOT}%{_sysconfdir}/xinetd.d/auth

touch ${RPM_BUILD_ROOT}%{_sysconfdir}/ident.key

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/adduser -s /sbin/nologin -u 98 -r -d '/' ident 2>/dev/null || true
/usr/bin/openssl rand -base64 -out %{_sysconfdir}/ident.key 32
echo CHANGE THE LINE ABOVE TO A PASSPHRASE >> %{_sysconfdir}/ident.key
/bin/chown ident:ident %{_sysconfdir}/ident.key
chmod o-rw %{_sysconfdir}/ident.key

%postun
service xinetd reload

%files -f authd.lang
%defattr(-,root,root,-)
%verify(not md5 size mtime user group) %config(noreplace) %attr(640, root, root) %{_sysconfdir}/ident.key
%doc COPYING README.html rfc1413.txt
%config(noreplace) %{_sysconfdir}/xinetd.d/auth
%{_sbindir}/in.authd
/usr/share/doc/authd-1.4.3/COPYING
/usr/share/doc/authd-1.4.3/README.html

%changelog
* Wed Aug 09 2017 adrianomorselli <adrianomorselli> 1.4.3-1uplos2017
- update
